Browser Compatibility

Bronto supports the most recent versions of commonly used browsers.

Due to the large number and diverse design of web browsers, we are unable to support every make and version. We do, however, strive to make the application fully compatible with the browsers that are the most popular and widely used by our customers.

Bronto fully supports Internet Explorer 11 and greater. We recommend you upgrade your browser version, or use a different browser, if you experience issues with older versions of Internet Explorer.

For other commonly-used browsers, such as Google Chrome, Mozilla Firefox, and Apple Safari, we recommend you keep your browser version up-to-date in order to avoid application usage or speed issues.